/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/
"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getTableControls;
var _state = require("./state");
var _wp = wp,
  components = _wp.components,
  blockEditor = _wp.blockEditor;
var Toolbar = components.Toolbar,
  ToolbarDropdownMenu = components.ToolbarDropdownMenu;
var BlockControls = blockEditor.BlockControls;
var __ = Drupal.t;
function getTableControls(attributes, setAttributes) {
  var tableControls = [{
    icon: 'table-col-before',
    title: __('Insert column before'),
    isDisabled: attributes.buttonStates.intColBef,
    onClick: function onClick() {
      return (0, _state.insertToTable)('col', 'before', attributes, setAttributes);
    }
  }, {
    icon: 'table-col-after',
    title: __('Insert column after'),
    isDisabled: attributes.buttonStates.intColAft,
    onClick: function onClick() {
      return (0, _state.insertToTable)('col', 'after', attributes, setAttributes);
    }
  }, {
    icon: 'table-row-before',
    title: __('Insert row before'),
    isDisabled: attributes.buttonStates.intRowBef,
    onClick: function onClick() {
      return (0, _state.insertToTable)('row', 'before', attributes, setAttributes);
    }
  }, {
    icon: 'table-row-after',
    title: __('Insert row after'),
    isDisabled: attributes.buttonStates.intRowAft,
    onClick: function onClick() {
      return (0, _state.insertToTable)('row', 'after', attributes, setAttributes);
    }
  }, {
    icon: 'table-col-delete',
    title: __('Delete column'),
    isDisabled: attributes.buttonStates.delCol,
    onClick: function onClick() {
      return (0, _state.doDelete)('col', attributes, setAttributes);
    }
  }, {
    icon: 'table-row-delete',
    title: __('Delete row'),
    isDisabled: attributes.buttonStates.delRow,
    onClick: function onClick() {
      return (0, _state.doDelete)('row', attributes, setAttributes);
    }
  }];
  return React.createElement(BlockControls, {
    key: "form-controls"
  }, React.createElement(Toolbar, null, React.createElement(ToolbarDropdownMenu, {
    icon: "screenoptions",
    label: __('Edit table'),
    controls: tableControls
  })));
}